#!/usr/bin/env ruby
# -*- coding: utf-8 -*-

print("みかんは120円。りんごは78円です。\n")
print("みかんは何個買う?\n")
mikan=gets.to_i
print("りんごは何個買う?\n")
ringo=gets.to_i
printf("みかんを%d個、りんごを%d個買います。\n",mikan,ringo)
print("代金は…\n")
print(mikan*120+ringo*78,"円です。\n")
puts("お支払金額は?")
siharai=gets.to_i
print("お釣りは",siharai-(mikan*120+ringo*78),"円です。")
puts("お買い上げありがとうございます。")
